跳转到内容

Luma Uni-1 Text to Image Max

集成

模型 id luma/agent/uni-1/v1/max
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma/agent/uni-1/v1/max?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.102 102 API 积分 · ≈ ₽10.97 在此页面运行

获取 API 密钥
Luma AI 文生图 参考输入 #realism#typography#stylized

Uni-1 文本到图像的最高保真层级,支持排版、漫画风格和最多 9 张参考图

Luma AI · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 88 / 6000

所需输出图像的文本描述。

aspect_ratio

输出图像的宽高比。

高级 images · style · output_format · enable_web_search · enable_safety_checker
reference_image_urls
拖放文件,或 · 最多 9 个

用于引导生成的参考图像可选 URL 列表。

style 默认 auto

应用于生成图像的视觉风格。

output_format

用于编码生成图像的格式。

POST /run/luma/agent/uni-1/v1/max?wait=20 报价 → $0.102
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma/agent/uni-1/v1/max?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Luma Uni-1 Text to Image Max

Uni-1 系列的高质量层级,根据最长 6000 个字符的 `prompt` 生成单张图像。可从 3:1 到 1:3 的九种比例中选择,`style` 可为 auto 或 manga,输出可为 png 或 jpeg。`reference_image_urls` 最多可传入 9 张参考图,`enable_web_search` 允许模型从网络获取参考。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
≤ 6,000 个字符
所需输出图像的文本描述。
aspect_ratio可选
类型enum
3:12:116:93:21:12:39:161:21:3
输出图像的宽高比。
style可选
类型enum
默认值auto
automanga
应用于生成图像的视觉风格。
output_format可选
类型enum
pngjpeg
用于编码生成图像的格式。
reference_image_urls可选 images
类型url[] · image
≤ 9 个项目
用于引导生成的参考图像可选 URL 列表。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma/agent/uni-1/v1/max",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 102,
    "usd": "0.102",
    "charged": 102,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, content_type, file_name, file_size}生成得到的图像。

更多模型:文生图

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/luma/agent/uni-1/v1/max.md. 所有模型和指南: https://doitong.com/developers/llms.txt